Skip to main content
POST
/
Payment
/
ChargeSavedCard
Charge a saved card
curl --request POST \
  --url https://api.trysynch.com/Payment/ChargeSavedCard \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "paymentMethodId": "<string>",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyReferenceId": "<string>",
  "shortDescription": "<string>",
  "feePayer": "<string>",
  "attachment": "<string>",
  "dueDate": "2023-12-25"
}
'
{
  "paymentRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "chargedAmount": 123
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Use /auth/token to obtain access token. Enter 'Bearer' [space] and then your token in the text input below. Example: 'Bearer eyJhbGci...'

Body

amount
integer<int32>
registrationId
string<uuid>
paymentMethodId
string
companyId
string<uuid> | null
companyReferenceId
string | null
shortDescription
string | null
feePayer
string | null
attachment
string | null
dueDate
string<date> | null

Response

OK

paymentRequestId
string<uuid>
registrationId
string<uuid>
status
string
chargedAmount
integer<int32>
Last modified on June 2, 2026